Bug 730733 - Default sort order when linking test cases from plan to another plan
Summary: Default sort order when linking test cases from plan to another plan
Keywords:
Status: VERIFIED
Alias: None
Product: TCMS
Classification: Other
Component: Application
Version: 3.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Yuguang Wang
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 725643
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 14:40 UTC by Petr Šplíchal
Modified: 2018-02-16 00:33 UTC (History)
6 users (show)

Fixed In Version: 3.6.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Petr Šplíchal 2011-08-15 14:40:23 UTC
Description of problem:

When a test case is linked from a test plan to another test plan
the sort order of the new 'CasePlan' is 'None'. This causes that
we have to manually re-order all test cases again and again.

Please, use the sort order related to the original test plan as
the default value for the link with new test plan.

Version-Release number of selected component (if applicable):
3.5.0

Steps to Reproduce:
1. Go to a test plan
2. Case -> Add cases from other plans
3. Filter the desired cases, hit "Add selected cases"
  
Actual results:
Test cases in the new test plan put in random order.

Expected results:
Test cases in the same order as in the original test plan.

Additional info:
The sort order should be preserved when linking using
'Case -> Clone' as well.

Comment 1 jianchen 2011-10-18 09:54:57 UTC
(In reply to comment #0)
> Description of problem:
> 
> When a test case is linked from a test plan to another test plan
> the sort order of the new 'CasePlan' is 'None'. This causes that
> we have to manually re-order all test cases again and again.
> 
> Please, use the sort order related to the original test plan as
> the default value for the link with new test plan.
> 
> Version-Release number of selected component (if applicable):
> 3.5.0
> 
> Steps to Reproduce:
> 1. Go to a test plan
> 2. Case -> Add cases from other plans
> 3. Filter the desired cases, hit "Add selected cases"
> 
> Actual results:
> Test cases in the new test plan put in random order.
> 
> Expected results:
> Test cases in the same order as in the original test plan.
> 
> Additional info:
> The sort order should be preserved when linking using
> 'Case -> Clone' as well.

Add cases from other plans and filter the desired cases, if you don't assign the plan id in search conditions, the cases may link to multi-plans and have multi-sortkey, so can't know which plan's order is you need, we default set the sortkey is None.

Comment 2 Petr Šplíchal 2011-10-20 08:24:10 UTC
I see, the test cases can come from different plans. That's true.
However, we could provide this functionality at least for the
other way of cloning  test cases:

    1. Go test test plan
    2. Check desired test cases
    3. Select Case -> Clone
    4. Filter desired plan
    5. Clone

In this way we know the original sort key for each case-plan as we
have id of the original test plan from where test cases are cloned.
However, this functionality is currently broken (bug 725643).

Comment 3 jianchen 2011-12-05 06:48:06 UTC
(In reply to comment #2)
> I see, the test cases can come from different plans. That's true.
> However, we could provide this functionality at least for the
> other way of cloning  test cases:
> 
>     1. Go test test plan
>     2. Check desired test cases
>     3. Select Case -> Clone
>     4. Filter desired plan
>     5. Clone
> 
> In this way we know the original sort key for each case-plan as we
> have id of the original test plan from where test cases are cloned.
> However, this functionality is currently broken (bug 725643).

This functionality is currently work, pls retry in tcms 3.6.2. 
Thanks and regards!

Comment 4 Xin Gao 2012-01-10 08:26:12 UTC
Verify version:
3.6.3 on englab --> PASSED

Verify steps:
1. Go test test plan
2. Check desired test cases
3. Select Case -> Clone
4. Filter desired plan
5. Clone

Actual results:
work normally

Comment 5 Petr Šplíchal 2012-01-10 12:14:47 UTC
Seems to be working now as expected, thanks for the fix!


Note You need to log in before you can comment on or make changes to this bug.